# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kumono"
version = "0.62.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Media ripper for coomer and kemono"
documentation = "https://github.com/APT37/kumono"
readme = "README.md"
keywords = [
    "kemono",
    "coomer",
    "filter",
    "api",
    "download",
]
license = "MIT-0"
repository = "https://github.com/APT37/kumono"

[[bin]]
name = "kumono"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.*"

[dependencies.clap]
version = "4.5.*"
features = ["derive"]

[dependencies.futures]
version = "0.3.*"

[dependencies.futures-util]
version = "0.3.*"

[dependencies.indicatif]
version = "0.18.*"

[dependencies.itertools]
version = "0.14.*"

[dependencies.num-format]
version = "0.4.*"

[dependencies.pretty-duration]
version = "0.1.*"

[dependencies.regex]
version = "1.12.*"

[dependencies.reqwest]
version = "0.13.*"
features = [
    "charset",
    "gzip",
    "http2",
    "json",
    "rustls",
    "socks",
    "stream",
]
default-features = false

[dependencies.serde]
version = "1.0.*"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.*"

[dependencies.sha256]
version = "1.6.*"

[dependencies.strum]
version = "0.27.*"

[dependencies.strum_macros]
version = "0.27.*"

[dependencies.thiserror]
version = "2.0.*"

[dependencies.tokio]
version = "1.49.*"
features = [
    "macros",
    "rt-multi-thread",
]
default-features = false

[profile.dev]
opt-level = 0
lto = false
codegen-units = 256
debug = 2
debug-assertions = true
rpath = false
panic = "unwind"
overflow-checks = true
incremental = true
strip = false

[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 16
debug = 0
debug-assertions = false
rpath = false
panic = "unwind"
overflow-checks = false
incremental = true
strip = "symbols"
